CASClientRequestMetrics (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.metrics

## Class CASClientRequestMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.LatencyMetrics
  - - org.apache.cassandra.metrics.ClientRequestMetrics
    - - org.apache.cassandra.metrics.CASClientRequestMetrics

-     public class CASClientRequestMetrics
      extends ClientRequestMetrics

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.yammer.metrics.core.Counter` | `conditionNotMet`
    `com.yammer.metrics.core.Histogram` | `contention`
    `com.yammer.metrics.core.Counter` | `unfinishedCommit`

    - ### Fields inherited from class org.apache.cassandra.metrics.ClientRequestMetrics

      `readTimeouts, readUnavailables, timeouts, unavailables, writeTimeouts, writeUnavailables`

    - ### Fields inherited from class org.apache.cassandra.metrics.LatencyMetrics

      `factory, lastLatency, lastOpCount, latency, namePrefix, recentLatencyHistogram, totalLatency, totalLatencyHistogram`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CASClientRequestMetrics(java.lang.String scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `release()`

    - ### Methods inherited from class org.apache.cassandra.metrics.LatencyMetrics

      `addNano, getRecentLatency`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contention

          public final com.yammer.metrics.core.Histogram contention

    - #### conditionNotMet

          public final com.yammer.metrics.core.Counter conditionNotMet

    - #### unfinishedCommit

          public final com.yammer.metrics.core.Counter unfinishedCommit

  - ### Constructor Detail

    - #### CASClientRequestMetrics

          public CASClientRequestMetrics(java.lang.String scope)

  - ### Method Detail

    - #### release

          public void release()

      Overrides:
        `release` in class `ClientRequestMetrics`

Copyright © 2014 The Apache Software Foundation